NativeToolChainRegistry (Gradle API 8.11)

Package org.gradle.nativeplatform.toolchain

## Interface NativeToolChainRegistry

- All Superinterfaces:
    `java.util.Collection<NativeToolChain>`, `Configurable<NamedDomainObjectContainer<NativeToolChain>>`, `DomainObjectCollection<NativeToolChain>`, `DomainObjectSet<NativeToolChain>`, `ExtensiblePolymorphicDomainObjectContainer<NativeToolChain>`, `java.lang.Iterable<NativeToolChain>`, `NamedDomainObjectCollection<NativeToolChain>`, `NamedDomainObjectContainer<NativeToolChain>`, `org.gradle.api.internal.rules.NamedDomainObjectFactoryRegistry<NativeToolChain>`, `NamedDomainObjectSet<NativeToolChain>`, `PolymorphicDomainObjectContainer<NativeToolChain>`, `java.util.Set<NativeToolChain>`, `ToolChainRegistry<NativePlatform,​NativeToolChain>`

      @Incubating
      public interface NativeToolChainRegistry
      extends ExtensiblePolymorphicDomainObjectContainer<NativeToolChain>, ToolChainRegistry<NativePlatform,​NativeToolChain>

  A container for `NativeToolChain`s.

- - ### Method Summary

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface org.gradle.api.ExtensiblePolymorphicDomainObjectContainer

      `registerBinding, registerFactory, registerFactory`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate, register, register`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, named, withType`

    - ### Methods inherited from interface org.gradle.api.PolymorphicDomainObjectContainer

      `containerWithType, create, create, maybeCreate, register, register`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

    - ### Methods inherited from interface org.gradle.platform.base.ToolChainRegistry

      `getForPlatform`